> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/cdn/analysis/describerequest.md).

# DescribeRequest

## 1. API Description

This API (DescribeRequest) is used to query the number of CDN requests, data aggregation internval is 5 minutes.

#### Preparation

* Query Billing Region: Use [`DescribeBillingRegions`](/api-reference/networking/cdn/common/describebillingregions.md).

## 2. Request Parameters

The following table lists the required request parameters for the API:

| Parameter Name | Required | Type   | Description                                                                                                                                                                                                                         |
| -------------- | -------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| startTime      | Yes      | String | The beginning of the time range to query. Specify the time in the ISO 8601 standard in the yyyy-MM-ddTHH:mm:ssZ format. The time must be in UTC. For example, 2024-08-22T00:00:00Z.                                                 |
| endTime        | Yes      | String | The end of the time range to query. Specify the time in the ISO 8601 standard in the yyyy-MM-ddTHH:mm:ssZ format. The time must be in UTC. For example, 2024-08-22T00:10:00Z. Note: The end time must be later than the start time. |
| domain         | No       | String | Domain, use commas(,) to separate multiple domain names. By default, all acceleration domains will be queried.                                                                                                                      |
| region         | No       | String | [Billing region](/api-reference/networking/cdn/common/describebillingregions.md)                                                                                                                                                    |
| protocol       | No       | String | [Protocol type](/api-reference/networking/cdn/datastructure.md#protocolvalue)                                                                                                                                                       |

## 3. Output Parameterss

| Parameter Name | Type                                                                                 | Description                                                                                          |
| -------------- | ------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------- |
| dataSet        | Array of [BandwithData](/api-reference/networking/cdn/datastructure.md#bandwithdata) | Number of requests.                                                                                  |
| requestId      | String                                                                               | Unique request ID, which is returned with every request. This request ID is needed to locate issues. |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query CDN Request Count.**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-TC-Action: DescribeRequest
<Common Request Params>

Request:
{
    "startTime": "2024-08-22T00:00:00Z",
    "endTime": "2024-08-22T00:10:00Z"
}
Response:
{
    "requestId": "T747E3929-7A0E-XXXX-9BDC-2CFD2FD7E180",
    "response": {
        "requestId": "T747E3929-7A0E-XXXX-9BDC-2CFD2FD7E180",
        "dataSet": [
            {
                "data": [
                    {
                        "time": "2024-08-22T00:00:00Z",
                        "value": 101573
                    },
                    {
                        "time": "2024-08-22T00:05:00Z",
                        "value": 115754
                    }
                ],
                "domain": "www.xxx.com",
                "region": "ALL"
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Error Codes

The following includes error codes encountered in business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/networking/cdn/analysis/describerequest.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
